var repair = 15; var damageGet = 1; var itemID = 2095; var maxDamage = 1560;
var power = 9+Math.sqrt(digging_lvl*4); var breakSpeech = "I never thought that I could break it";
var tool = [18, 14, 18, 22, 92, 14, 10]; mainSkill = digging_lvl;

if (timing > 6) {timing = 0; itemUsed = true; if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}}